﻿## You can place the script of your game in this file.

init:
    
    $ flashbulb = Fade(0.5, 0.3, 1.2, color='#fff')
    
    $ hints = 0
    
    $ result = 0
    
    python:
        def playSound( filename, gain ):
            renpy.sound.set_volume( gain )
            renpy.sound.play( filename )
            
        def restoreSound():
            renpy.sound.set_volume( 1.0 )
    
    ## Declare images.
    
    image a background = "Marie/acrostic-background.png"
    $ acenter = Position(xpos=200, ypos=80, xanchor=0.0, yanchor=0.0 )
    $ a0 = Position(xpos=200, ypos=80, xanchor=0.0, yanchor=0.0  )
    $ a1 = Position(xpos=200, ypos=170, xanchor=0.0, yanchor=0.0  )
    $ a2 = Position(xpos=200, ypos=240, xanchor=0.0, yanchor=0.0  )
    $ a3 = Position(xpos=200, ypos=308, xanchor=0.0, yanchor=0.0  )
    $ a4 = Position(xpos=200, ypos=381, xanchor=0.0, yanchor=0.0  )
    
    $ spotlightPos = Position( xpos=400, ypos= 260, xanchor=0.5, yanchor=0.5 )
    # $ spotlightPos = Position(xpos=100, ypos= -40, xanchor=0, yanchor=0  )
    
    $ offscreenup = Position(ypos = -300, xpos =0, xanchor='left')
    
    $ signcenter = Position( xpos=150, ypos = 40, xanchor=0, yanchor=0 )
    
    $ slideawayup2 = CropMove(2.0, "slideawayup")
    
    $ slideawaydown2= CropMove(2.0, "slideawaydown")
    
    $ slowdissolve = Dissolve( 2.0 )
    
    $ tvCenter = Position(xpos=200, ypos=100, xanchor=0.0, yanchor=0.0  )

    image smalltv smalltv = "Marie/smallTvFrame.png"
    
    image a_0 a_0 = "Marie/acrostic-0.png"
    image a_1 a_1 = "Marie/acrostic-1.png"
    image a_2 a_2 = "Marie/acrostic-2.png"
    image a_3 a_3 = "Marie/acrostic-3.png"
    image a_4 a_4 = "Marie/acrostic-4.png"
    
    image curtain c = "Marie/curtain.png"
    
    image i island = "Marie/palmTrees-fixed.jpg"
    $ islandPos = Position( xanchor = 0.5, yanchor = 0.5, xpos = 380, ypos = 160 )
    
    image tvframe frame = Image(("Marie/tvFrame.png", "Marie/static01.png"))
    image tv static01 = "Marie/static01.png"
    image tv static02 = "Marie/static02.png"
    image tv static03 = "Marie/static03.png"
    image tv static04 = "Marie/static04.png"
    
    image curtain curtain = "Marie/curtain.png"    
    
    image tv nextOn = "Marie/nextOn.png"
    image tv itv = "Marie/itv.png"
    image tv title = "Marie/title.png"
    
    image w whistle = Animation( im.Scale("Marie/clown-whistle1-c.png", 491, 600 ), 1.0, im.Scale("Marie/clown-whistle2-c.png", 491, 600 ), 5.0 )

    image w drinking = Animation( im.Scale( "Marie/clown-drinking1-c.png", 491, 600 ),1.0, im.Scale( "Marie/clown-drinking2-c.png", 491, 600  ), 5.0 )

    image bg black = "#000000"
#    image bg gray = "#c0c0c0"
    image bg red = "#ff0404"
    image bg blue = "#04ff04"
    image bg green = "#0404ff"
    image bg white = "#ffffff"
    image bg tvWhite = "#aaaaaa"
    image bg sven = "Marie/sven800x600color.png"
    
    image bg svensepia = "Marie/sven800x600sepia.png"
    
    image bg lotsOfSailors = "Marie/LetsGetThisPartyStarted800x600color.png"

    image bg lotsOfSailorsSepia = "Marie/LetsGetThisPartyStarted800x600BW.png"
    
    image bg hotel = "Marie/hotel800x600color.png"

    image bg hotelSepia = "Marie/hotel800x600sepia.png"

    
    image bg templesepia = "Marie/temple800x600sepia.png"
    image bg temple = "Marie/temple800x600color.png"

    
    image bg gray = "Marie/background.png"
    image bg whgray = "Marie/clownBackground.png"
    # image bg outside = "outside.jpg"
    
    # image eileen happy = "eileen_happy.png"
    image cb bustedPointing = im.Scale("Marie/bandit-burst-through-pointing-c.png", 491, 600 )
    image cb drugged = im.Scale("Marie/bandit-druggedout.png", 320, 268)
    image cb inAir = im.Scale("Marie/bandit-hands-in-the-air.png", 320, 268)
    image cb leaningBack = im.Scale("Marie/bandit-leaning-back.png", 320, 268)
    image cb lyingDown = im.Scale("Marie/bandit-lyingdown-laughing.png", 320, 268)
    image cb bustedAngry = im.Scale("Marie/bandit-out-angry-c.png", 491, 600 )
    image cb pointingAtCrotch = im.Scale("Marie/bandit-pointing-at-crotch.png", 320, 268)
    image cb pointingAtSelf = im.Scale("Marie/bandit-pointing-at-self.png", 320, 268)
    image cb pointing = im.Scale("Marie/bandit-pointing-tail.png", 320, 268)
    image cb sad = im.Scale("Marie/bandit-sad.png", 320, 268)
    image cb smiling = im.Scale("Marie/bandit-smiling.png", 320, 268)
    image cb waving = im.Scale("Marie/bandit-waving.png", 320, 268)
    image cb thorazine = "Marie/bandit-thorazine-resized.png"

    image cb wavingIntro = Image( Image(im.Scale("Marie/bandit-waving.png", 320, 268 ), yalign=0.1, xanchor = 0.75), Image( "Marie/box-normal.png", xpos =0, ypos = 600, xanchor = 0, yanchor= 1.0 ))
    
    image w drinkingStart = im.Scale( "Marie/clown-drinking1-c.png", 491, 600 )
    image w drinkingEnd = im.Scale( "Marie/clown-drinking2-c.png", 491, 600 )
    image w shame = im.Scale("Marie/clown-shame-c.png", 491, 600 )
    image w waving = im.Scale( "Marie/clown-waving-c.png", 491, 600 )
    image w whistleStart = im.Scale( "Marie/clown-whistle1-c.png", 491, 600 )
    image w whistleEnd = im.Scale("Marie/clown-whistle2-c.png", 491, 600 )
    
    image m angry = im.Scale( "Marie/marie-angry-c.png", 491, 600 )
    image m dumbfounded = im.Scale( "Marie/marie-dumbfounded-c.png", 491, 600 )
    image m furious = im.Scale ( "Marie/marie-furious-c.png", 491, 600 )
    image m grabChest = im.Scale("Marie/marie-grab-chest-c.png", 491, 600 )
    image m horrified = im.Scale( "Marie/marie-horrified-c.png", 491, 600 )
    image m nextSlide = im.Scale( "Marie/marie-next-slide-quick-c.png", 491, 600 )
    image m pointingAtSelf = im.Scale("Marie/marie-point-at-self-c.png", 491, 600 )
    image m questioning = im.Scale( "Marie/marie-questioning-c.png", 491, 600 )
    image m satisfied = im.Scale( "Marie/marie-satisfied-c.png", 491, 600 )
    image m smilingPleased = im.Scale( "Marie/marie-satisfied-c.png", 491, 600 )
    image m thinking = im.Scale( "Marie/marie-thinking-c.png",  491, 600 )
    image m onVideo = im.Scale( "Marie/marie-onVideo-c.png",  491, 600 )
    image m well = im.Scale( "Marie/marie-well..-c.png", 491, 600 )
    image m bruisedAngry= im.Scale( "Marie/marie-bruised-angry-c.png", 491, 600 )
    image m bruisedSmiling= im.Scale( "Marie/marie-bruised-smiling.png", 491, 600 )
    
    image box 1 = "Marie/box-normal.png"
    image box kb = "Marie/box-knockdown.png"
    
    image bg technicalDifficulties = "Marie/testPattern.png"
    
    image sign normal = "Marie/sign.png"
    
    image flare = "Marie/flare-c.png"

    
    image w drinking1 = im.Scale("Marie/clown-drinking1.png", 491, 600 )
    
    
    $ style.voiceOver = Style(style.default)
    $ style.voiceOver.color = "#fbfbfb"
    
    $ style.bandit = Style(style.default)
    $ style.bandit.color = "#ffe1b1"
    
    $ style.marie = Style( style.default )
    $ style.marie.color = "#e1e1ff"
    
    $ style.whistles = Style( style.default )
    $ style.whistles.color = "#e1ffe1"
    
    
    ## Declasre characters used by this game.

    $ m = Character('Marie', color="#c8c8ff", what_style = 'marie' )
    $ w = Character('Mr. Whistles', color="#c8ffc8", what_style  = 'whistles' )
    $ cb = Character('Miss Bandit', color="#ffe1e1", what_style ='bandit')
    $ sp = Character('Lady Sugarplum', color="#ffbbff")
    $ n = Character('Voice Over', color="#ffffff", what_style ='voiceOver')
    $ a = Character('Viewers', color="#ffffff")
    $ e = Character('Error', color="#ffffff" )
    
    $ bleft = Position(yalign=0.1, xanchor = 1.25 )
    $ bcenter = Position(xanchor=0.5, yanchor = 0.5, xpos=400, ypos=160)
    $ mright = Position( xalign =1.05 )
    $ thorazineCenter = Position( xpos = 0, ypos = 600, xanchor=0.0, yanchor=1.0  )
    $ boxloc = Position( xpos = 0, ypos = 600, xanchor=0.0, yanchor=1.0  )
    
    # For the beginning
    
    $ tWhistleOff = Position( xpos = 160, ypos = 600, xanchor = 0.5, yanchor = 0 )
    $ tWhistleOn = Position( xpos = 160, ypos = 0, xanchor = 0.5, yanchor = 0 )

    $ tMarieOff = Position( xpos = 360, ypos = 600, xanchor = 0.5, yanchor = 0 )
    $ tMarieOn = Position( xpos = 360, ypos = 0, xanchor = 0.5, yanchor = 0 )

    $ tBanditOff = Position( xpos = 560, ypos = 600, xanchor = 0.5, yanchor = 0 )
    $ tBanditOn = Position( xpos = 560, ypos = 0, xanchor = 0.5, yanchor = 0 )
    
    $ cOnBoxImage = im.Composite(
                                        (600, 600),
                                        (200, 0), "Marie/box-normal.png",
                                        (200, 20 ), 
                                        im.Scale( Image( "Marie/bandit-smiling.png" ), 320, 268 ),
                                        )
                                        
    $ titleBackImage = im.Composite (
                                        ( 800, 600 ),
                                        (160 - 491/2.0, 0 ),
                                            im.Scale( "Marie/clown-waving.png", 491, 600 ),
                                            
                                            
                                        ( 361 - 491/2.0, 0 ),
                                         im.Scale("Marie/marie-point-at-self.png", 491, 600  ),
                                         
                                         
                                        ( 560 - 600/2.0, 0 ),
                                       cOnBoxImage )

    
    image cb cOnBox = cOnBoxImage
                                        
    image bg titleBack = titleBackImage
    
    
    
    image mrsulu = "Marie/mrsulu.png"
    image presents = "Marie/presents.png"
    
    $ mrsuluLoc = Position( xpos = 400, ypos = 200, xanchor = 0.5, yanchor = 0 )
    $ presentsLoc = Position( xpos = 400, ypos = 350, xanchor = 0.5, yanchor = 0 )
    
    $ sugarplumcenter = Position(  xpos = 400, ypos = -50, xanchor = 0.5, yanchor = 0 )
    
    image sugarplum = "Marie/sugarplum-sil.png"
    image no = "Marie/no.png"
    
label game:
    
    call minigame from label_1
    
    return
    
label splashscreen:
    
    show bg black with Pause (0.5)
    
    play sound "sound/cling_1.mp3"
    show mrsulu at mrsuluLoc with Dissolve( 2.0 )
    
    
    play sound "sound/cling_2.mp3"
    show presents at presentsLoc with Dissolve( 2.0 )
    
    
    
    hide presents 
    hide mrsulu
    with Dissolve( 2.0 )
    
    show cb cOnBox at tBanditOff
    show m pointingAtSelf at tMarieOff
    show w waving at tWhistleOff
    
    $ playSound( "sound/pluck.mp3", 0.5 )
    show cb cOnBox at tBanditOn zorder 10 with MoveTransition( 0.85 )
    
    $ playSound( "sound/pluck.mp3", 0.5 )
    show m  pointingAtSelf at tMarieOn zorder 7 with MoveTransition( 0.85 )
    
    
    $ playSound( "sound/pluck.mp3", 0.5 )
    show w waving at tWhistleOn zorder 5 with MoveTransition( 0.85 )
    
    $ restoreSound()
    
    play sound "sound/punch3.mp3"
    
    hide cb
    hide m
    hide w 
    
    
    show bg titleBack
    
    return
    
label tv:
    

## The game starts here.

label screenshot:
    
    scene bg tvWhite
    show smalltv smalltv at tvCenter zorder 2 
    show tv static01 at tvCenter zorder 1 
    with dissolve

    show tv static02 at tvCenter with Pause( 0.4 )
    show tv static03 at tvCenter with Pause( 0.4 )
    show tv static04 at tvCenter with Pause( 0.4 )
    show tv static01 at tvCenter with Pause( 0.4 )
    show tv static02 at tvCenter with Pause( 0.4 )
    show tv static03 at tvCenter with Pause( 0.4 )
    show tv static04 at tvCenter with Pause( 0.4 )
    
    play sound "sound/cling_1.mp3"
    show tv nextOn at tvCenter with Pause( 2.1 )
    play sound "sound/cling_1.mp3"
    show tv itv at tvCenter with Pause( 2.1 )
    play sound "sound/cling_2.mp3"
    show tv title at tvCenter with Pause( 3.2 )
    
    hide tv
    hide smalltv 
    with dissolve
    
    return

label start:
    
    stop music fadeout (1.5)
    
    #jump doneWithAcrostic
    jump startTheShow


label startTheShow:

    call screenshot from label_2

    scene bg black

    show curtain c at boxloc zorder 50 
    show bg gray at boxloc zorder 10
    show sign normal at signcenter zorder 20
    with dissolve
    play sound "sound/drum_roll_y.mp3"
    
    
    
    n "And now, ladies and gentlemen, boys and girls..."
    
    $ playSound( "sound/cheering.mp3", 0.5 )
     
    # jump credits
    
    # Play some music
    
    play music "sound/Super Circus.mp3"
    
    show curtain c at offscreenup zorder 50 with MoveTransition( 3 )
    
    $ renpy.pause(1.0)
    
    #call game
    #jump aBegin
    
    # Lady sugarplum logo goes here
    n "Travels with Lady Sugarplum!"
    
    show flare zorder 12 at RotoZoom(0, 360, 10, 1, 1, 10, rot_anim_timebase=True, opaque=False, rot_repeat=True, xpos=400, ypos= 260, xanchor=0.5, yanchor=0.5  ) with dissolve
    
    n "Travelogues for the parents!"
    n "Puzzles for the kids!"
    n "Fun, friends, and distant lands!"
    
    $ restoreSound()
    
    hide flare with dissolve
    
    show sugarplum at sugarplumcenter zorder 50 with dissolve
    n "starring the hostess with the mostess, Lady Sugarplum..."
    
    # XX Silouette
    
    show no at sugarplumcenter zorder 55 with dissolve
    
    n "...who will not be appearing this week due to illness!"
    
    hide text
    
    hide no
    hide sugarplum
    
    scene bg red 
    show cb cOnBox at center
    #show cb wavingIntro at bcenter 
    with slideawayright
    
    n "also starring the beautiful, yet furry...Miss Chipmunk Bandit!"
    
    
    scene bg blue 
    show w waving at center 
    with slideawayleft
    n "and Mr. Whistles!"
    
    scene bg green 
    show m smilingPleased at center 
    with slideawayright
    n "introducing Marie St. Marie!"
    
    hide w

    scene bg gray 
    show box 1 at boxloc 
    with slideawayup
    
    stop music fadeout 0.5
    # SFX: Need applause
    
    
    show m thinking at offscreenright 
    show m thinking at mright with move
    m "Do we still need that 'introducing' thing? I've been on the show for three weeks."
    
    play music "sound/Plain Loafer.mp3"
    
    show cb waving at offscreenleft with move
    show cb waving at bleft with move
    cb "Hello, fellow travellers! Lady Sugarplum isn't feeling well today, so it's just us three! Me (Miss Chipmunk Bandit)..."
    show cb smiling at bleft 
    show m pointingAtSelf at mright 
    m "and me..."
    
    show cb waving at bleft 
    cb "..and Mr. Whistles!"
    
    hide cb
    hide m
    
    scene bg whgray
    show w whistle at center
    play sound "sound/slideWhistle/tootPooeeooeeooee.mp3"
    w "wheeeeeeeeeeeeeeeeeeeeeet!"
    
    
    hide w
    scene bg gray
    show box 1 at boxloc zorder 10
    show m smilingPleased zorder 10 at mright 
    show cb smiling zorder 10 at bleft 
    with dissolve
    
    cb "Remember, kids, this is InterActive TV, so you can rewind if you miss something by pressing PageUp on your keyboards at home!"
    
    show m pointingAtSelf zorder 10 at mright
    m "TV just isn't TV unless it's InterActive!"
    
    show m smilingPleased zorder 10 at mright
    m "...registered trademark, patent pending..."
    
    show cb waving zorder 10 at bleft 
    cb "Last week, we set off on our cruise to the beautiful South Pacific Island chain of Ah'ga'guan'gan'kak!"
    
    show i island at islandPos zorder 5 with dissolve
    
    show box 1 zorder 10 at boxloc
    show cb leaningBack zorder 12 at bleft 
    
    show m pointingAtSelf zorder 10 at mright
    m "White sand beaches, a luxurious ocean liner, and free food!"
    
    show cb sad zorder 10 at bleft 
    show m smilingPleased zorder 12 at mright
    cb "Of course, with your figure, you do have to be careful!"
    play sound "sound/cling_2.mp3"
    show m horrified zorder 10 at mright with Pause( 1.0 )
    m "Hey!"
    
    hide i island with dissolve
    
    show box 1 at boxloc
    show m satisfied at mright 
    show cb smiling at bleft 
    cb "We all had a lovely time sailing about the island!"
    show cb leaningBack  at bleft 
    
    show m well at mright 
    m "Well, until Lady Sugarplum ate that uncooked pork."
    
    show cb pointingAtSelf at bleft 
    
    show m questioning at mright
    cb "That's her loss. It's {i}Miss Bandit's{/i} show now."
    
    hide cb 
    hide m 
    scene bg whgray
    
    stop music fadeout 1.0
    
    show w whistleStart at center
    play sound "sound/slideWhistle/tootPeeeooot.mp3"
    w "wheeet?"
    hide w
    
    scene bg gray
    show box 1 at boxloc
    show cb pointingAtSelf at bleft
    show m questioning at mright
    m "Are you OK?"
    
    show cb drugged at bleft 
    play sound "sound/rip.mp3"
    cb "Yup. Bandit took a few of her special doctor's pills for her elbow and she's {i}feeling fine.{/i}"
    
    show cb smiling at bleft 
    show m thinking at mright 
    m "(The boss better not hear you say that.)"
    
    
    show m satisfied at mright 
    show cb waving at bleft 
    cb "Anyway, we have some fun and educational activities for you to do to learn about Ah'ga'guan'gan'kak and our trip! Here we go..."

    hide m 
    hide cb
    hide box
    scene bg black with dissolve
    $ playSound( "sound/trumpet_x.mp3", 0.1 )
    show expression Text("POSTCARDS FROM THE EDGE", size=45, yalign=0.5, xalign=0.5, drop_shadow=(2, 2)) with dissolve
    with Pause(1.5)
    hide text with dissolve
    
    

    
    play music "sound/Plain Loafer.mp3"
    
    
    scene bg gray 
    show box 1 at boxloc
    show cb smiling at bleft 
    show m satisfied at mright 
    with dissolve
    cb "First, let's take a look at the pictures we took on the Big Island of Ah'ga. Chipmunk Bandit put together this lovely puzzle-slideshow!" 
    
    
    
    show m questioning at mright 
    m "I was in late today and missed the story meeting; I didn't see this. Is it good?"
    
    show cb smiling at bleft 
    cb "Oh ho ho, it's good! Here we go!"
    $ restoreSound()

    show cb waving at bleft
    cb "Here we look at the great party the sailors threw for us on the first night at the island."    
    
    play sound "sound/camera_focus.mp3"
    hide cb 
    hide m
    hide box
    stop music
    call puzzleLotsOfSailors from label3
    
    stop music 
    play sound "sound/camera_click.mp3"
    show bg lotsOfSailors 
    show bg lotsOfSailors with flashbulb
    
    $ ui.vbox(xalign=0.5, ypos = 570 )
    $ ui.textbutton("You got it!  Click to continue...", clicked=ui.returns(1))
    $ ui.close()

    $ ui.interact(suppress_overlay=False, suppress_underlay=False)
    
    show bg lotsOfSailorsSepia with dissolve
    
    play music "sound/Plain Loafer.mp3"
    
    show box 1
    show cb sad at bleft 
    show m smilingPleased at mright 
    with slowdissolve
    m "Oh, that was a great party!"
    
    show cb pointing at bleft 
    cb "And those young men were interested in your scintillating intellect, I'm sure."
    
    show m smilingPleased at mright
    m "They were a bunch of great guys, every one of them."
    
    show bg gray with dissolve
    show cb smiling at bleft
    cb "You certainly got to know each and every sailor."
    
    cb "Let's take a look, shall we?"
    
    play sound "sound/camera_focus.mp3"
    hide cb 
    hide m
    hide box
    stop music fadeout 0.5
    call puzzleSven from label4
    stop music fadeout 0.5
    
    play sound "sound/camera_click.mp3"

    show bg sven
    show bg sven with flashbulb

    $ ui.vbox(xalign=0.5, ypos = 570 )
    $ ui.textbutton("You got it!  Click to continue...", clicked=ui.returns(1))
    $ ui.close()

    $ result = ui.interact(suppress_overlay=False, suppress_underlay=False)

    show bg svensepia with dissolve

    play music "sound/Plain Loafer.mp3"
    
    show box 1
    show cb leaningBack at bleft 
    show m smilingPleased at mright 
    with slowdissolve
    #popup sven
    m "That was, Sven. He was the ship's masseusse."
    
    show cb leaningBack at bleft 
    show m pointingAtSelf at mright
    m "Hey kids, that's ..uh...organic root beer in my glass, there!"
    
    show m smilingPleased at mright
    m "Sven had {i}great{/i} hands.... ah, what a cutie."
    m "..."
    show cb pointingAtSelf at bleft 
    cb "No sailors bothered to talk to Miss Bandit."
    show cb sad at bleft
    cb "Just a poor little furry girl puppet sitting on a box."
    
    show cb sad at bleft 
    play sound "sound/cling_1.mp3"
    show m horrified at mright with Pause( 1 )
    m "You are a strange little chipmunk." 
    
    show m nextSlide at mright 
    m "NEXT PHOTO PLEASE."
    
    show bg gray with dissolve
    

    show cb waving at bleft 
    show m smilingPleased at mright
    cb "Here's one!  Miss Bandit stopped by your room at 7am!"
    
    show m horrified at mright
    play sound "sound/rip.mp3"
    m "You did what?"
    cb "I wonder who's there!"
    
    hide cb 
    hide m
    hide box
    stop music 
    play sound "sound/camera_focus.mp3"
    
    call puzzleEmptyBed from label5

    stop music fadeout 0.5

    play sound "sound/camera_click.mp3"
    show bg hotel
    show bg hotel with flashbulb

    $ ui.vbox(xalign=0.5, ypos = 570 )
    $ ui.textbutton("You got it!  Click to continue...", clicked=ui.returns(1))
    $ ui.close()

    $ result = ui.interact(suppress_overlay=False, suppress_underlay=False)

    play music "sound/Plain Loafer.mp3"
    show bg hotelSepia with dissolve

    show box 1
    show cb pointing at bleft
    show m horrified at right
    with slowdissolve
    cb "Looks like Marie stayed out all night!"
    
    show cb leaningBack at bleft 
    show m questioning at mright
    m "Wasn't that puzzle a little easy?"
    show cb pointing at bleft 
    cb "Says the pot to the kettle."
    show cb smiling at bleft 
    show m horrified at mright
    
    $ playSound( "sound/pluck.mp3", 0.5 )
    
    cb "ZING!"
    
    show m angry at mright
    m "We will talk later, Miss Bandit."
    
    $ restoreSound()

    show m pointingAtSelf at mright 
    m "However, I am a professional.  On with the show."
    show cb waving at bleft 
    show m satisfied at mright
    cb "Next picture, please!"
    
    show bg gray with dissolve    
        
    show cb smiling at bleft 
    cb "After our lovely evening on the boat, our tour took us to see the island! Miss Bandit went shopping for new hats while Marie's first stop was the ancient temple of Ka'men'ah'ha! The locals were so nice."
    
    show cb leaningBack at bleft 
    show m thinking at mright 
    m "The temple? I can't remember what we did at the temple."
    
    show m satisfied at mright
    m "I think I might have had too much organic root beer!"
    
    show cb smiling at bleft
    cb "Perhaps this will refresh your memory."
    
    play sound "sound/camera_focus.mp3"
    hide cb 
    hide m
    hide box
    stop music
    call puzzleTemple from label6
    
                    
    stop music fadeout 0.5
    play sound "sound/camera_click.mp3"
    show bg temple
    show bg temple with flashbulb

    # Fix volume, since we're not calling the puzzle thing again.
    $ renpy.music.set_volume(1.0, channel=7)
    $ ui.vbox(xalign=0.5, ypos = 570 )
    $ ui.textbutton("You got it!  Click to continue...", clicked=ui.returns(1))
    $ ui.close()

    $ result = ui.interact(suppress_overlay=False, suppress_underlay=False)

    show bg templesepia with dissolve

    show box 1
    show cb smiling at bleft 
    
    with dissolve
    show m dumbfounded at mright with hpunch
    play sound "sound/slap.mp3"
    m "..."
    
    show cb waving at bleft 
    cb "It appears that Ka'men'ah'ha is a fertility god."

    show cb sad at bleft 
    show m dumbfounded at mright 
    cb "Are you..."
    cb "...sleeping there, Marie?"
    
    show m angry at mright 
    m "OK, that was just vindictive."
    show m thinking at mright 
    m "This is getting weird."
    
    show bg gray with dissolve
    
    play music "sound/Scheming Weasel slower-short.mp3"
    m "Is this something with your arm and the drugs?"
    show m satisfied at mright 
    show cb sad at bleft 
    cb "Sticking a puppet out of the puppet box isn't good for Miss Bandit's arm."
    show cb leaningBack at bleft
    cb "Miss Bandit's elbow doesn't have any cartillage left.  It's bone grinding on bone!"
    show m questioning at mright 
    m "What kind of pills did they give you, Bandit?"
    show cb smiling at bleft

    cb "Happy pills!"
    show cb drugged at bleft 
    show m horrified at mright
    cb "You'd need prescription painkillers, too, if you spent SIX FRIGGIN' YEARS in a wooden box waving a chipmunk around."
    show m thinking at mright
    m "(She's higher than a kite at a Grateful Dead concert!)"
    hide cb
    hide m
    scene bg whgray
    
    show w whistle at center 
    play sound "sound/slideWhistle/tootPooeeooeeooee.mp3"
    w "Wheet!"
    
    
    hide w
    scene bg gray
    show box 1 at boxloc
    show cb drugged at bleft 
    show m smilingPleased at mright 
    play sound "sound/cling_1.mp3"
    m "Hahaha, kids, that Bandit is some rascal. Right kids?"
    
    play music "sound/cricket1.mp3" fadein 0.5
    $ Pause( 1.0)
    
    a "..."
    
    stop music fadeout 0.3
    show m nextSlide at mright 
    show cb leaningBack at bleft 
    
    m "Let's go on to the word puzzle, right?"
    hide m 
    hide cb
    scene bg black with dissolve 
    $ playSound( "sound/trumpet_x.mp3", 0.1 )
    show expression Text("WORDS CAN HEAL THE WORLD", size=45, yalign=0.5, xalign=0.5, drop_shadow=(2, 2)) with dissolve
    with Pause( 2.5 )
    
    scene bg gray 
    show box 1 at boxloc
    show m thinking at mright 
    show cb leaningBack at bleft
    with slideawayup
    play music "sound/Doh De Oh.mp3" fadein 0.5
    
    m "Our word puzzle today is an acrostic!"
    m"It says here, \"For Marie!\""
    show m smilingPleased at mright
    m "For me?  Oh, so sweet!  I love it when the producers do nice stuff like this."
    show m questioning at mright
    m "Who did the puzzle this week? Was it Naomi?"
    show m smilingPleased at mright
    m "I have to send her a fruit basket."
    $ restoreSound()
    
    
label aBegin:
    scene bg black
    show a background at acenter with dissolve
    
    n "Fill in the words based on their definitions."
    
    $ correct = 0;
label aSetup:
    $ a = [ 0, 0, 0, 0, 0]
    $ misses = [ 0, 0, 0, 0 ]
    show a background at acenter with dissolve
    

label acrosticCheck:
    
label acrosticMenu:
    menu:
        "Pick a line to guess:"
        "M" if a[ 0 ] == 0: 
            jump a_m
        "A" if a[ 1 ] == 0: 
            jump a_a
        "R" if a[ 2 ] == 0: 
            jump a_r
        "I" if a[ 3 ] == 0: 
            jump a_i
        "E" if a[ 4 ] == 0: 
            jump a_e
        "I need some hints." if hints == 0:
            jump a_hint

label a_m:
    if a[ 0 ] == 1:
        show cb sad at bleft
        cb "You already got this one."
        jump acrosticMenu
    python:
        gotRight = getAnswer("(5 letters, ___M_): A hobo, or to walk heavily", "TRAMP", "PMART", hints )
    if gotRight == True: 
        show cb smiling at bleft
        $ a[ 0 ] = 1
        cb "Some people tramp around all night, I hear."
    else:
        show cb waving at bleft
        cb "Nope!"
    jump labelCheck
    
label a_a:
    if a[ 1 ] == 1:
        show cb sad at bleft
        cb "You already got this one."
        jump acrosticMenu
    python:
        val = getAnswer("(4 letters, _A__): Not hard", "EASY", "YSAE", hints )
    if val: 
        $ a[ 1 ] = 1
        show cb smiling at bleft
        cb "Is this puzzle too easy?"
    else:
        show cb sad at bleft
        cb "Nope!"
    jump labelCheck
label a_r:
    if a[ 2 ] == 1:
        show cb sad at bleft
        cb "You already got this one."
        jump acrosticMenu
    python:
        val = getAnswer("(4 letters, __R_): Sharp and bitter, or a kind of pastry dish", "TART", "TATR", hints )
    if val: 
        $ a[ 2 ] = 1
        show cb smiling at bleft
        cb "Who doesn't love a tart?"
    else:
        show cb sad at bleft
        cb "Nope!"
    jump labelCheck
label a_i:   
    if a[ 3 ] == 1:
        show cb sad at bleft
        cb "You already got this one."
        jump acrosticMenu
    python:
        val = getAnswer("(5 letters, __I__): Fool someone", "TRICK", "TCIRK", hints )
    if val: 
        $ a[ 3 ] = 1
        show cb smiling at bleft
        cb "Oh, this puzzle has turned tricky!"
    else:
        show cb waving at bleft
        cb "Nope!"
    jump labelCheck    
label a_e:   
    if a[ 4 ] == 1:
        show cb sad at bleft
        cb "You already got this one."
        jump acrosticMenu
    python:
        val = getAnswer("(5 letters, ____E):  Needs tightening", "LOOSE", "LOSOE",hints )
    if val: 
        $ a[ 4 ] = 1
        show cb smiling at bleft
        cb "Yes, that's right!  It's how the Internet spells 'lose'!"
    else:
        show cb waving at bleft
        cb "Nope!"
    jump labelCheck    
    
label labelCheck:
    # Display the right images
    if ( a[ 0 ] == 1 ):
        show a_0 a_0 at a0
    if ( a[ 1 ] == 1 ):
        show a_1 a_1 at a1
    if ( a[ 2 ] == 1 ):
        show a_2 a_2 at a2
    if ( a[ 3 ] == 1 ):
        show a_3 a_3 at a3
    if ( a[ 4 ] == 1 ):
        show a_4 a_4 at a4
    $ count = a[ 0 ] + a[ 1 ] + a[ 2 ] + a[ 3 ] + a[  4 ]
    if count == 5:
        show cb smiling at bleft
        stop music
        play sound "sound/cymbals.mp3"
        cb "You got them all!"
        jump doneWithAcrostic
    else:
        show cb leaningBack at bleft
        $ mount = str( count )
        cb "You have %(mount)s right out of 5!"
    jump acrosticMenu
    
label a_hint:
    if ( hints == 1 ):
        cb "You already have hints turned on."
        cb "This is as easy as it gets!"
        jump acrosticMenu
    $ hints = 1
    show cb leaningBack at bleft
    cb "We don't judge here at Lady Sugarplum.  If you need a hint, take a hint!"
    cb "Hints are turned on.  Try any of the lines and you'll get an idea which letters you need!"
    jump acrosticMenu
    
label doneWithAcrostic:    
    
    stop music 
    
    show m dumbfounded at mright with hpunch
    play sound "sound/slap.mp3" 
    m "Whaaaa?"
    
    hide cb
    hide m
    hide a 
    hide a_0
    hide a_1
    hide a_2
    hide a_3
    hide a_4
    
    scene bg whgray
    show w whistle at center
    play sound "sound/slideWhistle/tootPooeeooeeooee.mp3"
    w "Wheeet!"
    hide w
    
    play music "sound/Scheming Weasel faster.mp3"
    
    scene bg gray
    show box 1 at boxloc
    show cb leaningBack at bleft 
    show m dumbfounded at mright 
    with dissolve
    m "..."
    show cb pointingAtCrotch at bleft
    cb "Mwhahahahaha! Naomi's still on the plane getting back from the islands! Guess it was the BANDIT who did your puzzle for today!"
    show m horrified at mright 
    show cb lyingDown at bleft
    play sound "sound/heehee2.mp3"
    cb "WORTH IT! TOTALLY WORTH IT!"
    show m angry at mright 
    m "Bandit, what is your beef with me?"
    show cb pointingAtSelf at bleft
    show m horrified at mright
    cb "I worked for Sugarplum for 6 years. They told me everyone starts out doing the puppets."
    
    show cb pointing at bleft
    show m horrified at mright
    cb "BUT NO.  Miss bouncy McBoingboing comes along and she gets hired as a real girl in 10 minutes over me!"

    show cb leaningBack at bleft
    show m well at mright 
    m "Look, we both auditioned, and I got the part fair and square.  You have no right to drag my name through the mud and---"

    show cb sad at bleft
    cb   "Then we go to the islands and..."
    
    show m horrified at mright 
    show cb pointing at bleft
    cb "...I HAVE TO BRING MY PUPPET BOX WITH ME."  
    show cb pointingAtSelf at bleft
    cb "I HAVE TO SIT IN THE BOX WHILE IN PARADISE."  
    show m dumbfounded at mright 
    show cb pointingAtCrotch at bleft
    play sound "sound/cling_1.mp3"
    cb "I GOT A RASH IN A BAD PLACE."

    show cb pointing at bleft
    cb "{i}You{/i} got ahead because the producers thought your {i}melons{/i} would look ripe in the tropics!"

    show m angry at mright 
    show cb leaningBack at bleft
    m "Hey, now!"  
    
    show m grabChest at mright 
    m "It's not my fault I'm genetically gifted.  If you think my girls, here, are responsible for this, you can get surgery.  Capische?"

    show m horrified at mright 
    show cb pointingAtSelf at bleft
    cb "If it hadn't been for you, all of me, even my face, would have been on TV, not just my hand!"
    
    show cb pointingAtCrotch at bleft
    cb "My acting lessons and diets would have finally paid off!"  
    
    show cb pointingAtSelf at bleft
    cb "My parents proud, boyfriends stacking up at my feet!"

    show cb leaningBack at bleft
    show m thinking at mright 
    m "...That's enough.  Let's just cut, take a break, and see if you can calm d---"

    show cb pointingAtSelf at bleft
    show m horrified at mright 
    cb "If my whole body were on TV, I could stop paying for sex!"
    stop music 
    
    with vpunch
    play sound "sound/aoogahorn.mp3"
    show m dumbfounded at mright with Pause( 2 )

    show cb leaningBack at bleft
    show m questioning at mright 
    m "What?  Who are you paying for sex?"

    hide cb
    hide m
    
    scene bg whgray
    
    show w shame at center with dissolve
    w "..."

    play sound "sound/slideWhistle/tootPeeeooot.mp3"
    show w whistle at center with Pause( 1 )
    w "Fooot!"

    hide w
    scene bg gray
    show box 1 at boxloc
    show m horrified at mright
    show cb leaningBack at bleft 
    # Italics
    play sound "sound/Sword1.mp3"
    m "Ew!  Clown sex."

    hide m 
    hide cb

    scene bg whgray
    show w shame at center with dissolve
    play sound "sound/slideWhistle/sob.mp3"
    w "<sob>"
    

    hide w with dissolve
    
    scene bg gray
    show box 1 at boxloc
    show cb pointing at bleft
    show m horrified at mright
    cb "You're never going to work in this town again, missy!"
    play sound "sound/punch.mp3"
    
    #HPUNCH
    with hpunch
    show cb pointing at bleft
    cb "The little hussy slept with dozen sailors at once!" 

    show cb leaningBack at bleft
    show m well at mright
    m "First, it wasn't a dozen guys."
    m "It was no more than three to four (depending on what you count)."
    m "And second, they were consecutive."
    show m smilingPleased at mright
    m "Mostly."
    show m well at mright
    m "And thirdly---"


    play sound "sound/punch2.mp3"
    show cb pointingAtSelf at bleft
    show m horrified at mright
    cb "Bandit has pictures!  She has posted them on Bandit's Corner, http://banditscorner.blogspot.com!"

    #HPUNCH
    
    show cb leaningBack at bleft
    show m dumbfounded at mright
    play sound "sound/slap.mp3"
    #Pause
    m "CUT!  CUT RIGHT NOW!" with hpunch

    # Pause
    
    show cb leaningBack at bleft
    show m onVideo at mright
    m "Wait...we're doing this on tape, aren't we?"

    hide cb 
    hide m 
    scene bg whgray
    show w whistle at center with dissolve
    play sound "sound/slideWhistle/tootDown.mp3"
    
    w "Fweet."
    
    hide w

    scene bg gray
    show box 1 at boxloc
    show cb drugged at bleft 
    show m dumbfounded at mright 
    with Dissolve( 2.0 )
    m "LIVE?  OH MY GOD."
    
    play sound "sound/glass_breaking_1.mp3"
    m "..." with hpunch
    play sound "sound/glass_breaking_2.mp3"
    m "....." with vpunch
    play sound "sound/glass_breaking_1.mp3"
    m "......." with hpunch
    play sound "sound/glass_shatter2.mp3"
    m "..........................." with hpunch

    show cb pointing at bleft
    cb "That's it!  I'm coming OUT OF MY BOX!"

    hide cb 
    hide m 
    scene bg whgray
    show w whistle at center
    play sound "sound/slideWhistle/tootPooeeooeeooee.mp3"
    w "Foot!"

    #SCENE CRASH HPUNCH
    
    play sound "sound/bang_5.mp3" 
    
    hide w

    scene bg gray
    show box kb at boxloc
    show cb bustedAngry at left
    show m horrified at mright
    with dissolve
    play music "sound/Scheming Weasel faster.mp3"
    cb "Somewhere around the second bottle of Oxycontin, I got hot and took off my clothes.  It's not like anyone looks in the box, ever."

    m "Holy Janet Jackson!  We're going to be destroyed by the FCC!"

    show m well at mright
    m "Now your box is definitely showing."

    hide cb 
    hide m 
    scene bg whgray
    show w whistle at center
    play sound "sound/slideWhistle/tootPeeeooot.mp3"
    w "Wheet!"
    

    hide w 
    scene bg gray
    show box kb at boxloc
    
    show m angry at mright
    show cb bustedPointing at left
    cb "There can be only one!" with hpunch 
    cb "Off my show, you jezebel!"

    show m furious at mright
    show cb bustedPointing at left
    m "YOUR SHOW!?  This is Lady Sugarplum with Marie St. Marie and a chipmunk!"

    m "...not Lady Sugarplum plus {i}crazy naked druggie{/i}!"
    cb "I'll get you!"
    m "BRING IT!"
    
    stop music fadeout 0.5

    scene bg black
    hide m
    hide cb
    scene bg technicalDifficulties
    play music "sound/Free-Loops.com-194738494.mp3"
    n "TECHNICAL DIFFICULTIES"

    play sound "sound/punch.mp3"
    m "Get over here!" with hpunch 

    play sound "sound/punch1.mp3"
    cb "Bring it on, you overendowed trollop!" with vpunch

    play sound "sound/punch2.mp3"
    m "My god, you're like a greased pig!" with hpunch

    play sound "sound/punch1.mp3"
    cb "I'm covered in petroleum jelly!  They'll never get me off the air!" with vpunch

    play sound "sound/slideWhistle/tootPooeeooeeooee.mp3"
    w "Wheet!" with hpunch
    
    play sound "sound/punch.mp3"
    m "--son of a--" with vpunch

    play sound "sound/slideWhistle/tootPeeeooot.mp3"
    w "Wheet!" with hpunch

    play sound "sound/rip.mp3"
    m "Whoa--" with vpunch

    play sound "sound/punch1.mp3"
    cb "Mwahahaha!" with hpunch 

    play sound "sound/punch2.mp3"
    m "YOU GET THE MARIE ST. MARIE SMASHY FIST!" with hpunch

    play sound "sound/slap.mp3"
    m "SMASHY SMASHY!" with hpunch

    play sound "sound/punch.mp3"
    $ renpy.pause(0.5)
    play sound "sound/punch1.mp3"
    $ renpy.pause(0.5)
    
    play sound "sound/slideWhistle/tootPooeeooeeooee.mp3"
    w "WHEET!"
    
    play sound "sound/punch2.mp3"
    m "Get her off me!" with vpunch
    play sound "sound/punch3.mp3"
    cb "The Bandit never surrenders!" with hpunch
    m "What is that in the syringe?"
    play sound "sound/slideWhistle/tootPeeeooot.mp3"
    w "Whoot!" with hpunch
    play sound "sound/punch.mp3"
    cb "Chipmunk POWERRRRRR!" with vpunch
    play sound "sound/punch.mp3"
    m "I don't care!  Just jam it in there!"
    play sound "sound/slideWhistle/tootPooeeooeeooee.mp3"
    w "Fwoot!" with hpunch
    cb "Hiii--yaaaaa..."
    cb "....yaaa....."
 
    stop music fadeout 1.5
    
    scene bg gray with dissolve
    show box kb at boxloc
    show m bruisedAngry at mright 
    show cb thorazine at thorazineCenter 
    with Dissolve( 3.5 )
    
    
    play music "sound/SadLittleWeaselFinal.mp3"
    
    m "...." with Pause( 1.0 )

    m "Whistles, I don't even want to know why you had a full shot of thorazine on hand."
    cb "Mrrmmfmfghhg mff ghghf ...."
    
    m "Just how often do you have to sedate her, anyway?"
    
    show m bruisedAngry at mright
    m "<sigh>"
    show m bruisedSmiling at mright
    play sound "sound/cling_1.mp3"
    m "That's all the time we have today, kids. Thanks so much for watching Lady Sugarplum!"
    show m bruisedAngry at mright
    m "As for me, I'll be in the dressing room, cleaning out my locker."
    hide m
    hide cb
    
    scene bg whgray
    
    show w drinkingStart at center with dissolve
    w "..."
    show w drinking at center with dissolve
    w "<glug>"
    hide w
    
label theEnd:
    scene bg gray
    show box kb at boxloc
    show cb thorazine at thorazineCenter with dissolve
    cb "Grrrghghg gff...."
    
    
    show curtain c at offscreenup zorder 50
    show curtain c at boxloc with MoveTransition( 3.0 )

    cb "Frrzrzrzzrzgza...."
    
    scene bg black with Fade( 2.5, 0, 2.0)
    
    cb "Ghh....bb........."
    stop music fadeout 1.0
    cb ".....rev........."
    
    cb "..........................REVENGE."
    
    
    
    
label credits:
    
    play music "sound/Plain Loafer.mp3"
    scene bg black with fade
    show text "Lady Sugarplum's Bad Day\n\n\n\n\n\n\n\n\n\n\nstory, art, editing, and code by MrSulu\n\n\n\n\n\n\n\n\n\nbuilt with Ren'Py by PyTom\nand with Python, GIMP, Sketchbook\n\n\n\n\n\n\n\n\nMusic by Kevin MacLeod\nhttp://incompetech.com\nSome arrangements by Lt. Uhura\nMusic rights reserved by the individual artists\n\n\n\nThanks to:\nLt. Uhura\nPyTom\nGuido van Rossum\n\n\n\nThere should be no money charged for this game\n\n\n\n\nCome and tell us what you think at the Lemmasoft forums:\nhttp://lemmasoft.renai.us/forums/\n\n\n\n\n\n\n\n\nVery few angry chipmunks were harmed\nin the making of this game." at Move((400, 400), (400, -1450), 45.0, xanchor="center", yanchor="top")
    with dissolve
    
    $ ui.vbox(xalign=0.5, ypos = 570 )
    $ ui.textbutton("Click to end game...", clicked=ui.returns(1))
    $ ui.close()

    $ result = ui.interact(suppress_overlay=False, suppress_underlay=False)
    
    stop music fadeout 0.5
    
    return

label other:

    n "COMMERCIAL BREAK"
    n "Hey kids, buy things. Good things! Things for you. And things that are obviously gender-coded, so you can grow up to be constrained by society's expectations!"
    n "Today, we have action figures. Marie St. Marie figures HEAVILY DISCOUNTED!"
    
    return
#